QsciStyledText Class Reference

`#include <qscistyledtext.h>`

## Public Member Functions

| QsciStyledText (const QString &text, int style)
| QsciStyledText (const QString &text, const QsciStyle &style)
void | apply (QsciScintillaBase *sci) const
const QString & | text () const
int | style () const

## Detailed Description

The QsciStyledText class is a container for a piece of text and the style used to display the text.

## Constructor & Destructor Documentation

## QsciStyledText() [1/2]

QsciStyledText::QsciStyledText | ( | const QString & | text,
|  | int | style )

Constructs a QsciStyledText instance for text text and style number style.

References style(), and text().

## QsciStyledText() [2/2]

QsciStyledText::QsciStyledText | ( | const QString & | text,
|  | const QsciStyle & | style )

Constructs a QsciStyledText instance for text text and style style.

References style(), and text().